<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*************************** Version 20181203 *****************************/
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS Past Snow Analyses');
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
##############################  Settings  ##################################
$useOnClick = false; // Use onclick instead of onmouseover to display a chart
$divWidth = 656; // Width of Saratoga template in use, if customized
### One or both of the following two Region Selector statements must be true! ###
$useSelect = true; 		// Use Dropdown Region Selector
$useMapSelect = true;	// Use Map Region Selector
### Set Default Map Region ###
$_region = 'National';  	// Default Region choices include the following: 
	// 'National', 'Allegheny_Front', 'Central_Rockies', 'Eastern_Coastal', 'Great_Basin', 'Intermountains', 'Midwest',
	// 'Northern_Great_Lakes', 'Northern_Rockies', 'Northeast', 'Northwest', 'Southern_Appalachia', 'Southern_Great_Lakes',
	// 'Sierra_Nevada', 'South', 'Southwest', 'Upper_Midwest', 'Western_Coastal', or 'Western_Plains'
$doDebug = false; // Turn Debug Off
###########################  End of Settings ###############################
date_default_timezone_set("America/Chicago");	# The time calculations for these charts is Central
$mapType = 'nsm_depth'; // Default Map Type
$theMonth = date("m"); // Analyses Began this month
$theDay = date("d"); // today
$theYear = date("Y"); // this year
$yrmoday = $theYear.$theMonth.$theDay;
$year = date("Y");
//$year = (date("m")<7)?(date("Y")-1):date("Y");
$widescreen = ($_SESSION['CSSwidescreen']==true?1:0);
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showSnowjs(region,divWidth,useOnClick,useMapSelect,useSelect,widescreen,theYear,theDay,theMonth,yrmoday) { 
		$('#showSnow').load('inc-wxallsnowhx.php', {region:region,divWidth:divWidth,useOnClick:useOnClick,useMapSelect:useMapSelect,useSelect:useSelect,widescreen:widescreen,theYear:theYear,theDay:theDay,theMonth:theMonth,yrmoday:yrmoday});
	}
}
</script>
<style type="text/css">
.hidden {
	display: none;
	position:relative;
}
.shown {
	display: block;
	position:relative;
}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1?801:$divWidth) ?>px">
	<br/>
	<?php if (!$useSelect && !$useMapSelect) {
		echo '<div align="center"><span style="color:red"><b>ERROR! One or both map select options must be true.<br/>Please review and change your settings.<br/></span></div>';
	} else {?>
    <?php include("inc-wxallsnowhx.php")?>
 	<?php } ?>
  </div>
</div><!-- end main-copy -->
<?php
date_default_timezone_set($SITE['tz']);	# Reset 'tz' to default
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>